Pages: 1
  Print  
Author Topic: Permanently Taking on Yaml-CPP Dependency  (Read 23 times)
Offline (Male) Josh @ Dreamland
Posted on: January 26, 2020, 06:42:59 PM

Prince of all Goldfish
Developer
Location: Pittsburgh, PA, USA
Joined: Feb 2008
Posts: 2951

View Profile Email
Hi folks,

This is a quick heads-up that we're in the process of switching our YAML parsing over to yaml-cpp instead of doing the reader in-house. This has been coming for a while, so you probably already have yaml-cpp installed. If not, please run install the yaml-cpp package using your favorite package manager.

Windows users: pacboy -S yaml-cpp
Ubuntu/Debian users: sudo apt-get install libyaml-cpp-dev
Arch Linux users: sudo pacman -Sy yaml-cpp
RPM users: yum install yaml-cpp

This change is to help push along a new event system (#1875) that will ease the transition to EGM format as we begin to switch to RadialGM.

Cheers
Logged
"That is the single most cryptic piece of code I have ever seen." -Master PobbleWobble
"I disapprove of what you say, but I will defend to the death your right to say it." -Evelyn Beatrice Hall, Friends of Voltaire
Pages: 1
  Print